URIO(4) | Kernel Interfaces Manual | URIO(4)

# NAME

urio — USB driver for the Diamond Multimedia Rio500 MP3 player

# SYNOPSIS

urio* at uhub?

# DESCRIPTION

The urio driver provides support for Rio500 MP3 player from Diamond MultiMedia.

The driver implements minimal support to access the device and requires a user application for up and downloading music.

# FILES

/dev/urio0
  device node

# EXAMPLES

Using the Rio500 package from sourceforge the command

> `rio_add_song 01_BlinkarBla.mp3`

will download a song over the USB connection into your Rio500.

# SEE ALSO

usb(4)
http://rio500.sourceforge.org

# HISTORY

The urio driver appeared in NetBSD 1.5. This driver is based on a FreeBSD Rio driver written by Iwasa Kazmi.

March 6, 2000 | NetBSD 6.0